# EvalAI-CLI

<b>Official Command Line utility to use EvalAI in your terminal.</b>

 EvalAI-CLI is designed to extend the functionality of the EvalAI web application to command line to make the platform more accessible and terminal-friendly to its users.

------------------------------------------------------------------------------------------

[![Join the chat at https://gitter.im/Cloud-CV/EvalAI](https://badges.gitter.im/Cloud-CV/EvalAI.svg)](https://gitter.im/Cloud-CV/EvalAI?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Build Status](https://travis-ci.org/Cloud-CV/evalai-cli.svg?branch=master)](https://travis-ci.org/Cloud-CV/evalai-cli)
[![Coverage Status](https://coveralls.io/repos/github/Cloud-CV/evalai-cli/badge.svg?branch=master)](https://coveralls.io/github/Cloud-CV/evalai-cli?branch=master)
[![Documentation Status](https://readthedocs.org/projects/markdown-guide/badge/?version=latest)](https://evalai-cli.cloudcv.org)


## Goal

The goal of this package is to offer almost all the features available on the website within your terminal.

## Development Setup

### Step 1:

1. Setup the development environment for EvalAI and make sure that it is running perfectly.

2. Now, Open web browser and hit the url http://127.0.0.1:8888.

3. Login with your credentials and move to the profile section.

4. Click on `Get your Auth Token` to get the authentication token & copy the token.

### Step 2:

1. Clone the evalai-cli repository to your machine via git

```bash
git clone https://github.com/Cloud-CV/evalai-cli.git EvalAI-CLI
```

2. Create a virtual environment

```bash
cd EvalAI-CLI
virtualenv -p python3 venv
source venv/bin/activate
```

3. Install the package dependencies

```bash
pip install -r requirements.txt
```

4. Install the package locally to try it out

```bash
pip install -e .
```

5. Set the auth token using command ``` evalai set_token <auth_token>```

## Contributing Guidelines

If you are interested in contributing to EvalAI-CLI, follow our [contribution guidelines](https://github.com/Cloud-CV/evalai-cli/blob/master/.github/CONTRIBUTING.md).
